{% extends "base.html" %}

{% block head %}
{% endblock %}

{% block content %}
    <main>
        <div class="row">
            <div class="col align-self-start">
                <p>{{ user.disp_name }}でログイン中</p>
                <p>{{ message }}</p>
            </div>
        </div>
        {% include "toolbar.html" %}
        <form class="form-upload" method="post" action="/update" id="update_evaluation">
            <input type="hidden" name="target_member" value="{{ target_member }}">
            <input type="hidden" name="ev_target_exist" value="{{ ev_target_exist }}">
            <div class="tab-wrap">
                {% for role in evaluations %}
                    <input id="TAB-{{ role }}" type="radio" name="TAB" class="tab-switch" onclick="radioDeselection(this, '{{ role }}')"/>
                    <label class="tab-label" for="TAB-{{ role }}">{{ role }}
                        <span class="glyphicon glyphicon-question-sign modalicon" id="info"
                        data-toggle="modal" data-target="#roleInfoModal-{{ role }}"></span>
                    </label>
                    <div class="tab-content">
                        <table class="table table-hover table-sm">
                            <thead class="thead-light">
                            <tr>
                                <th>分類</th>
                                <th>項目</th>
                                <th>評価</th>
                                {% if input_number == 2 %}
                                    <th>上司の評価</th>
                                    <th>最終評価</th>
                                {% endif %}
                                {% if input_number >= 3 %}
                                    <th>目標</th>
                                    <th>作業</th>
                                    {% if ev_target_exist == true %}
                                        <th>作業後の評価</th>
                                    {% endif %}
                                {% endif %}
                            </tr>
                            </thead>
                            <tbody>
                                {% for section in evaluations[role] %}
                                    <tr>
                                        <td rowspan="{{ evaluations[role][section] | length }}">
                                            {{ section }}
                                        </td>
                                        {% for element in evaluations[role][section] %}
                                            <td
                                                    {% if input_number == 2 %}{% if evaluations[role][section][element]["evaluation"] != evaluations[role][section][element]["evaluation_manager"] %}style="background: #ffff00"{% endif %}{% endif %}
                                            >
                                                {{ evaluations[role][section][element]["description"] }}
                                            </td>
                                            <td
                                                    {% if input_number == 2 %}{% if evaluations[role][section][element]["evaluation"] != evaluations[role][section][element]["evaluation_manager"] %}style="background: #ffff00"{% endif %}{% endif %}
                                            >
                                                <input id="{{ element }}-2" type="radio" name="eval-{{ element }}" value="2"
                                                {% if evaluations[role][section][element]["evaluation"] == 2 %}checked{% endif %}
                                                {% if editable == false %}disabled="disabled"{% endif %}
                                                >
                                                <label for="{{ element }}-2">優</label>
                                                <input id="{{ element }}-1" type="radio" name="eval-{{ element }}" value="1"
                                                {% if evaluations[role][section][element]["evaluation"] == 1 %}checked{% endif %}
                                                {% if editable == false %}disabled="disabled"{% endif %}
                                                >
                                                <label for="{{ element }}-1">可</label>
                                                <input id="{{ element }}-0" type="radio" name="eval-{{ element }}" value="0"
                                                {% if evaluations[role][section][element]["evaluation"] == 0 %}checked{% endif %}
                                                {% if editable == false %}disabled="disabled"{% endif %}
                                                >
                                                <label for="{{ element }}-0">不可</label>
                                            </td>
                                            {% if input_number == 2 %}
                                            <td
                                                    {% if evaluations[role][section][element]["evaluation"] != evaluations[role][section][element]["evaluation_manager"] %}style="background: #ffff00"{% endif %}
                                            >
                                                <input id="{{ element }}-2-manager" type="radio" name="eval-{{ element }}-manager" value="2"
                                                {% if evaluations[role][section][element]["evaluation_manager"] == 2 %}checked{% endif %}
                                                {% if editable == false %}disabled="disabled"{% endif %}
                                                >
                                                <label for="{{ element }}-2-manager">優</label>
                                                <input id="{{ element }}-1-manager" type="radio" name="eval-{{ element }}-manager" value="1"
                                                {% if evaluations[role][section][element]["evaluation_manager"] == 1 %}checked{% endif %}
                                                {% if editable == false %}disabled="disabled"{% endif %}
                                                >
                                                <label for="{{ element }}-1-manager">可</label>
                                                <input id="{{ element }}-0-manager" type="radio" name="eval-{{ element }}-manager" value="0"
                                                {% if evaluations[role][section][element]["evaluation_manager"] == 0 %}checked{% endif %}
                                                {% if editable == false %}disabled="disabled"{% endif %}
                                                >
                                                <label for="{{ element }}-0-manager">不可</label>
                                            </td>
                                            <td>
                                                <input id="{{ element }}-2-confirm" type="radio" name="eval-{{ element }}-confirm" value="2"
                                                {% if evaluations[role][section][element]["evaluation"] == 2 %}checked{% endif %}
                                                {% if user.authority != 10 %}disabled="disabled"{% endif %}
                                                >
                                                <label for="{{ element }}-2-confirm">優</label>
                                                <input id="{{ element }}-1-confirm" type="radio" name="eval-{{ element }}-confirm" value="1"
                                                {% if evaluations[role][section][element]["evaluation"] == 1 %}checked{% endif %}
                                                {% if user.authority != 10 %}disabled="disabled"{% endif %}
                                                >
                                                <label for="{{ element }}-1-confirm">可</label>
                                                <input id="{{ element }}-0-confirm" type="radio" name="eval-{{ element }}-confirm" value="0"
                                                {% if evaluations[role][section][element]["evaluation"] == 0 %}checked{% endif %}
                                                {% if user.authority != 10 %}disabled="disabled"{% endif %}
                                                >
                                                <label for="{{ element }}-0-confirm">不可</label>
                                            </td>
                                            {% endif %}
                                            {% if input_number >= 3 %}
                                            <td>
                                                <input id="check-{{ element }}" type="checkbox" name="check-{{ element }}"
                                                       {% if ev_target_exist == true or updatable == false %}disabled{% endif %}
                                                       {% if evaluations[role][section][element]["target_exist"] == true %}checked{% endif %}
                                                       {% if editable == false %}disable{% endif %}
                                                >
                                            </td>
                                            <td>
                                                <textarea id="target-{{ element }}" name="target-{{ element }}" cols="50" rows="5"
                                                          {% if ev_target_exist == true or updatable == false %}readonly{% endif %}
                                                >{% if evaluations[role][section][element]["target_exist"] == true %}{{ evaluations[role][section][element]["target_detail"] }}{% endif %}</textarea>
                                            </td>
                                                {% if ev_target_exist == true %}
                                                <td>
                                                    <input id="{{ element }}-2-after" type="radio" name="eval-{{ element }}-after" value="2"
                                                    {% if evaluations[role][section][element]["evaluation"] == 2 %}checked{% endif %}
                                                    {% if user.authority != 10 %}disabled="disabled"{% endif %}
                                                    >
                                                    <label for="{{ element }}-2-after">優</label>
                                                    <input id="{{ element }}-1-after" type="radio" name="eval-{{ element }}-after" value="1"
                                                    {% if evaluations[role][section][element]["evaluation"] == 1 %}checked{% endif %}
                                                    {% if user.authority != 10 %}disabled="disabled"{% endif %}
                                                    >
                                                    <label for="{{ element }}-1-after">可</label>
                                                    <input id="{{ element }}-0-after" type="radio" name="eval-{{ element }}-after" value="0"
                                                    {% if evaluations[role][section][element]["evaluation"] == 0 %}checked{% endif %}
                                                    {% if user.authority != 10 %}disabled="disabled"{% endif %}
                                                    >
                                                    <label for="{{ element }}-0-after">不可</label>
                                                    </td>
                                                {% endif %}
                                            {% endif %}
                                        </tr>
                                        <tr>
                                        {% endfor %}
                                    {% endfor %}
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <!-- modal -->
                    <div id="roleInfoModal-{{ role }}" class="modal fade">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title">{{ role }}</h4>
                                </div>
                                <div id="modal-text" class="modal-body" style="white-space:pre-wrap; word-wrap:break-word;">
                                    {{ role_descriptions[role] }}
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
                {% if ev_target_exist == true %}
                <label for="summary">総括</label><textarea id="summary" name="summary" cols="200" rows="5"></textarea>
                {% endif %}
            </div>
        </form>
    </main>
    <footer>
        <div class="foot-wrap">
            <div class="row">
                <div class="col align-self-start" {% if updatable == false %}hidden{% endif %}>
                    <button class="btn btn-outline-primary" type="submit" name="submit" value="upload" form="update_evaluation"
                    >保存</button>
                </div>
            </div>
        </div>
    </footer>
{% endblock %}
